Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for OpenSearch
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Extension
  1. API reference
  2. REST
  3. Extension
  4. List

Managed Service for OpenSearch API, REST: Extension.List

Written by
Yandex Cloud
Updated at January 23, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Extension

Returns the list of available extensions for the specified OpenSearch cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-opensearch/v1/clusters/{clusterId}/extensions

Path parametersPath parameters

Field

Description

clusterId

string

Required field. Required. ID of the cluster to list extensions in.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page that should be returned. If the number of available
results is larger than page_size, the service returns a next_page_token that can be used
to get the next page of results in subsequent ListBackups requests.
Acceptable values are 0 to 1000, inclusive. Default value: 100.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. Set page_token to the next_page_token returned by a previous ListBackups
request to get the next page of results.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "extensions": [
    {
      "name": "string",
      "id": "string",
      "clusterId": "string",
      "version": "string",
      "active": "boolean",
      "type": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

extensions[]

Extension

Requested list of extensions.

nextPageToken

string

This token allows you to get the next page of results for ListBackups requests,
if the number of results is larger than page_size specified in the request.
To get the next page, specify the value of next_page_token as a value for
the page_token parameter in the next ListBackups request. Subsequent ListBackups
requests will have their own next_page_token to continue paging through the results.

ExtensionExtension

Field

Description

name

string

Name of the extension.

id

string

Extension unique ID

clusterId

string

ID of the OpenSearch cluster the extension belongs to.

version

string (int64)

Extension version

active

boolean

Flag is extension active now

type

enum (ExtensionType)

Extension type

  • EXTENSION_TYPE_SYNONYMS
  • EXTENSION_TYPE_STOPWORDS

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.